stages:
  - build

variables:
  CONAN_USER: ali  

conan_build:
  stage: build
  tags:
    - docker
  script:
      - pwd
      - cd tutorial/consuming_packages/simple_cmake_project 
      - conan profile detect --force
      - conan profile path default
      - conan install . --output-folder=build --build=missing
      - cd build
      - cmake .. -DCMAKE_TOOLCHAIN_FILE=conan_toolchain.cmake -DCMAKE_BUILD_TYPE=Release
      - cmake --build .
